summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Matteo Bernardini <ponce@slackbuilds.org>2017-01-14 06:24:15 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-01-14 06:24:15 +0700
commit643bb42ebdee04e0080e7d21a5c2c3e6ba255154 (patch)
tree50b62681d0d0f86e585235a601432a18805e426f /graphics
parent2abb7a234e0558dddc7134b6e4eaced0bd72c5aa (diff)
downloadslackbuilds-643bb42ebdee04e0080e7d21a5c2c3e6ba255154.tar.gz
slackbuilds-643bb42ebdee04e0080e7d21a5c2c3e6ba255154.tar.xz
graphics/yacreader: Added (comic book reader).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/yacreader/README2
-rw-r--r--graphics/yacreader/doinst.sh13
-rw-r--r--graphics/yacreader/slack-desc19
-rw-r--r--graphics/yacreader/yacreader.SlackBuild99
-rw-r--r--graphics/yacreader/yacreader.info10
5 files changed, 143 insertions, 0 deletions
diff --git a/graphics/yacreader/README b/graphics/yacreader/README
new file mode 100644
index 0000000000..60b72b7c68
--- /dev/null
+++ b/graphics/yacreader/README
@@ -0,0 +1,2 @@
+YACReader is a comic reader and manager with support for many
+different comic files formats.
diff --git a/graphics/yacreader/doinst.sh b/graphics/yacreader/doinst.sh
new file mode 100644
index 0000000000..9424ce43ff
--- /dev/null
+++ b/graphics/yacreader/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/graphics/yacreader/slack-desc b/graphics/yacreader/slack-desc
new file mode 100644
index 0000000000..c62007e668
--- /dev/null
+++ b/graphics/yacreader/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+yacreader: yacreader (comic book reader)
+yacreader:
+yacreader: YACReader is a comic reader and manager with support for many
+yacreader: different comic files formats.
+yacreader:
+yacreader: homepage: http://www.yacreader.com
+yacreader:
+yacreader:
+yacreader:
+yacreader:
+yacreader:
diff --git a/graphics/yacreader/yacreader.SlackBuild b/graphics/yacreader/yacreader.SlackBuild
new file mode 100644
index 0000000000..de5c8c30b7
--- /dev/null
+++ b/graphics/yacreader/yacreader.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+
+# Slackware build script for yacreader
+
+# Copyright 2016-2017 Matteo Bernardini <ponce@slackbuilds.org>, Pisa, Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=yacreader
+VERSION=${VERSION:-8.5.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION-src.tar.?z*
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+sed -i \
+ -e "s|/usr/lib|/usr/lib$LIBDIRSUFFIX|" \
+ -e "s|PREFIX/lib|PREFIX/lib$LIBDIRSUFFIX|" \
+ -e "s|DATADIR/man|PREFIX/man|" \
+ -e "s|DATADIR/doc/yacreader|PREFIX/doc/yacreader-$VERSION|" \
+ YACReader*/YACReader*pro
+
+qmake-qt5 CONFIG+=unarr
+
+make
+make install INSTALL_ROOT=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a *.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/yacreader/yacreader.info b/graphics/yacreader/yacreader.info
new file mode 100644
index 0000000000..74ad1070a8
--- /dev/null
+++ b/graphics/yacreader/yacreader.info
@@ -0,0 +1,10 @@
+PRGNAM="yacreader"
+VERSION="8.5.0"
+HOMEPAGE="http://www.yacreader.com"
+DOWNLOAD="https://bitbucket.org/luisangelsm/yacreader/downloads/yacreader-8.5.0-src.tar.xz"
+MD5SUM="59f5b9bc4f68973bda8cf41207f7a1e3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libwebp poppler-qt5 qrencode unarr"
+MAINTAINER="Matteo Bernardini"
+EMAIL="ponce@slackbuilds.org"